/*************************************************
 *  Hugo Academic: an academic theme for Hugo.
 *  Designed by @GeorgeCushen.
 *  https://github.com/gcushen/hugo-academic
 **************************************************/

html {
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  color: rgba(0, 0, 0, 0.8);
  line-height: 1.65;
}
@media screen and (min-width: 58em) {
  html {
    font-size: 16px;
  }
}

body {
  font-family: inherit;
  font-size: 1rem;
  line-height: inherit;
  color: inherit;
  background-color: white;
  margin-top: 71px; /* Offset body content by navbar height. */
  padding-top: 0;
  counter-reset: captions;
}
@media screen and (max-width: 1200px) {
  /* Match max-width of .nav-bar query. */
  body {
    margin-top: 51px; /* Offset body content by navbar height. */
  }
}

/* Body text */
p {
  margin-top: 0;
  margin-bottom: 1rem;
}

/* Lists */
ul {
  margin-top: 0;
  margin-bottom: 1rem;
}

/* Navigation bar text */

/* Headings */
h1,
h2,
h3 {
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  margin-top: 1rem;
  margin-bottom: 0.5rem;
  line-height: 1.25;
  color: #313131;
  text-rendering: optimizeLegibility;
  overflow-wrap: break-word; /* Ensures very long heading words do not overflow into content. */
}
h1 {
  font-size: 2.25rem;
}
h2 {
  margin-top: 1rem;
  font-size: 1.5rem;
}
h3 {
  font-weight: 700;
  margin-top: 1.5rem;
  font-size: 1.25rem;
}

a {
  text-decoration: none;
  transition: color 0.6s ease;
}

@keyframes intro {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.home-section {
  padding: 110px 0 110px 0;
  animation: intro 0.3s both;
  animation-delay: 0.15s;
}

.home-section:first-of-type {
  padding-top: 50px;
}

@media screen and (max-width: 768px) {
  .home-section {
    padding: 60px 0 60px 0;
  }
  .home-section:first-of-type {
    padding-top: 40px;
  }
}

#profile {
  text-align: center;
  padding: 30px 10px;
  position: relative;
}

#profile .portrait {
  width: 200px;
  height: 200px;
  margin: 0 auto;
  border-radius: 50%;
  object-fit: cover;
}

#profile .portrait-title h2 {
  font-size: 1.75em;
  font-weight: 300;
  color: #000000;
  margin: 20px 0 10px 0;
}

#profile .portrait-title h3 {
  font-size: 1rem;
  font-weight: 300;
  color: rgba(0, 0, 0, 0.54);
  margin: 0px 0 10px 0;
}

#profile ul.network-icon {
  display: inline-flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  list-style: none;
  padding: 0;
  margin-top: 30px;
}

#profile .network-icon li {
  margin-right: 10px;
}

#profile .network-icon li:last-of-type {
  margin-right: 0;
}

#profile .network-icon li:hover {
  transform: scale(1.2);
}

.big-icon {
  font-size: 2rem;
}

ul.ul-edu {
  list-style: none;
}

ul.ul-edu li {
  position: relative;
  padding: 0px 15px 4px 3px;
}

ul.ul-edu li .description p {
  margin: 0;
}

ul.ul-edu li .description p.course {
  font-size: 0.9rem;
}

ul.ul-edu li .description p.institution {
  font-size: 0.75rem;
  color: rgba(0, 0, 0, 0.6);
}

article {
  animation: intro 0.3s both;
  animation-delay: 0.15s;
}

.card {
  margin-bottom: 1.5rem;
  overflow: hidden;
  text-overflow: ellipsis;
  background: #fff;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);
  transition: all 0.2s ease-out;
}

.card p:last-child {
  margin-bottom: 0;
}

.card:hover {
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}
